import 'package:flutter/cupertino.dart';

class BsFormGroup extends StatelessWidget {

  const BsFormGroup({
    Key? key,
    this.label,
    this.child,
    this.textStyle,
    this.crossAxisAlignment = CrossAxisAlignment.start,
  }) : super(key: key);

  final Widget? label;

  final TextStyle? textStyle;

  final Widget? child;

  final CrossAxisAlignment crossAxisAlignment;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: crossAxisAlignment,
      children: [
        DefaultTextStyle(
          style: TextStyle(
            fontSize: 12.0,
            fontWeight: FontWeight.bold
          ).merge(textStyle),
          child: Container(
            margin: EdgeInsets.only(bottom: 5.0),
            child: label
          ),
        ),
        Container(child: child)
      ],
    );
  }

}